Skip to main content
DELETE
/
api
/
v1
/
documents
/
{id}
Delete a document
curl --request DELETE \
  --url https://app.sajn.se/api/v1/documents/{id} \
  --header 'authorization: <authorization>'
{
  "id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "createdAt": "<unknown>",
  "updatedAt": "<unknown>",
  "externalId": "<string>",
  "expiresAt": "<string>",
  "documentMeta": {
    "subject": "<string>",
    "message": "<string>",
    "forceReadFullDocument": true,
    "showChatToSigners": true,
    "value": "<string>",
    "redirectUrl": "<string>",
    "redirectEnabled": true
  },
  "completedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sajn.se/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Response

200

id
string
required

Unique document identifier

name
string
required

Document name/title

status
string
required

Document status: DRAFT, SENDING, PENDING, COMPLETED, EXPIRED, CANCELLED, or IMPORTED

createdAt
any
required

Date and time when the document was created

updatedAt
any
required

Date and time when the document was last updated

externalId
string | null

Your external reference ID for this document

expiresAt
string | null

Date and time when the document expires

documentMeta
object

Document metadata including subject, message, signing order, etc.

completedAt
string | null

Date and time when all signers completed signing